Поддержка Проблемы и решения Uncaught ReferenceError: commonL10n is not defined

  • Вот такая проблема на чистом wordpress. Конфиг nginx плохой или что не так? На 5.4 всё ок было.

    common.min.js?ver=5.5.3:2 Uncaught ReferenceError: commonL10n is not defined
        at HTMLDocument.<anonymous> (common.min.js?ver=5.5.3:2)
        at HTMLDocument.dispatch (load-scripts.php?c=0&load[chunk_0]=jquery-core,utils&ver=5.5.3:3)
        at HTMLDocument.r.handle (load-scripts.php?c=0&load[chunk_0]=jquery-core,utils&ver=5.5.3:3)
        at Object.trigger (load-scripts.php?c=0&load[chunk_0]=jquery-core,utils&ver=5.5.3:3)
        at HTMLDocument.<anonymous> (load-scripts.php?c=0&load[chunk_0]=jquery-core,utils&ver=5.5.3:3)
        at Function.each (load-scripts.php?c=0&load[chunk_0]=jquery-core,utils&ver=5.5.3:2)
        at n.fn.init.each (load-scripts.php?c=0&load[chunk_0]=jquery-core,utils&ver=5.5.3:2)
        at n.fn.init.trigger (load-scripts.php?c=0&load[chunk_0]=jquery-core,utils&ver=5.5.3:3)
        at Q (common.min.js?ver=5.5.3:2)
        at HTMLDocument.<anonymous> (common.min.js?ver=5.5.3:2)
Просмотр 4 ответов — с 16 по 19 (всего 19)
  • У меня хостинг на NIC.RU, может это у них что-то не подходит для нового WordPress’а? У вас, случайно, не там же хостинг?

    У меня немецкий хост и грешу на него. Но так и не смог разобраться, в чем причина.

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    У меня хостинг на NIC.RU, может это у них что-то не подходит для нового WordPress’а?

    Стоит сравнить отдаваемый сервером файл wp-admin/js/common.min.js с тем, что идёт в дистрибутиве WordPress 5.6.

    Предполагаю, что на сервере закешировался старый файл от WordPress 5.4, размером 15.4 КБ. В новом должно быть 19.3 КБ.

    Да, у меня была проблема с настройкой сервера, не туда смотрели скрипты. Стало всё ок. Нужно, чтобы точно отдавался нужный файл common.min.js.

    • Ответ изменён 1 неделя, 2 дня назад пользователем .
Просмотр 4 ответов — с 16 по 19 (всего 19)